socket_sendto
socket_set_nonblock
Socket Functions
PHP Manual

# socket_set_block

Sets blocking mode on a socket resource

### Description

bool socket_set_block ( resource `$socket` )

The socket_set_block function removes the `O_NONBLOCK` flag on the socket specified by the `socket` parameter.

When an operation (e.g. receive, send, connect, accept, ...) is performed on a blocking socket, the script will pause its execution until it receives a signal or it can perform the operation.

### Parameters

`socket`

  A valid socket resource created with socket_create or socket_accept.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 socket_set_block example

`<?php
$socket = socket_create_listen(1223);
socket_set_block($socket);
socket_accept($socket);
?>`

This example creates a listening socket on all interfaces on port 1223 and sets the socket to `O_BLOCK` mode. socket_accept will hang until there is a connection to accept.

### See Also

- socket_set_nonblock
- socket_set_option